PHP Manual
Prev |  | Next

# cpdf_restore

(PHP 3 >= 3.0.8, PHP 4, PHP 5 <= 5.0.4)

cpdf_restore -- Restores formerly saved environment

## Description

bool cpdf_restore ( int pdf_document )

Restores the environment saved with cpdf_save(). It works like the postscript command grestore. Very useful if you want to translate or rotate an object without effecting other objects.

## Parameters

`pdf_document`

  The document handle, returned by cpdf_open().

## Return Values

Returns `TRUE` on success or `FALSE` on failure.

## Examples

Example 1. Save/Restore

`<?php cpdf_save($pdf); // do all kinds of rotations, transformations, ... cpdf_restore($pdf) ?>`

## See Also

cpdf_save()

Prev | Home | Next
cpdf_rect | Up | cpdf_rlineto